dssilist
Prev | Orchestra Opcodes and Operators | Next

## dssilist

dssilist — Lists all available DSSI and LADSPA plugins.

| Note
plugin: Requires dssi4cs plugin

## Syntax

                dssilist

## Description

Plugin opcode in dssi4cs.

dssilist checks the variables DSSI_PATH and LADSPA_PATH and lists all plugins available in all plugin libraries there.

LADSPA and DSSI libraries may contain more than one plugin which must be referenced by the index provided by dssilist.

This opcode produces a long printout which may interrupt realtime audio output, so it should be run at the start of a performance.

## Examples

Here is an example of the dssilist opcode. It uses the file dssilist.csd.

Example 252. Example of the dssilist opcode. (Remember to change the Library name)

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out
    -odac

    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2

    instr 1	; list all DSSI and LADSPA plugins

    dssilist

    endin
    </CsInstruments>
    <CsScore>
    i 1 0 0

    e
    </CsScore>
    </CsoundSynthesizer>

## See also

DSSI and LADSPA

## Credits

2005

By: Andrés Cabrera

Uses code from Richard Furse's LADSPA sdk.

Prev | Up | Next
dssiinit | Home | dumpk